<?php

namespace Drupal\standwithukraine\Service;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Session\AccountProxyInterface;

/**
 * Interface StandWithUkraineAccessInterface.
 *
 * @package Drupal\standwithukraine\Service
 */
interface StandWithUkraineAccessInterface {

  /**
   * StandWithUkraineAccess constructor.
   *
   * @param \Drupal\Core\Session\AccountProxyInterface $current_user
   *   The current active user.
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager
   *   The entity type manager.
   */
  public function __construct(
    AccountProxyInterface $current_user,
    EntityTypeManagerInterface $entity_type_manager
  );

  /**
   * @return bool
   */
  public function isAllowed();

}
